> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Revocar cuenta de servicio de la cuenta

> Revoca una cuenta de servicio y su token activo.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.es.json DELETE /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}:
    delete:
      tags:
        - public-accounts
        - public-account-auth
      summary: Revocar cuenta de servicio de la cuenta
      description: Revoca una cuenta de servicio y su token activo.
      operationId: >-
        revoke_public_account_service_account_v1_public_accounts__account_id__auth_service_accounts__service_account_id__delete
      parameters:
        - in: path
          name: service_account_id
          required: true
          schema:
            format: uuid
            title: Service Account Id
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      responses:
        '204':
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
      security:
        - PublicBearerAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalle
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Ubicación
          type: array
        msg:
          title: Mensaje
          type: string
        type:
          title: Tipo de error
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````